2006-06-12  Fred Fish  <fnf@specifix.com>

	* emulparams/elf32bmip.sh (OTHER_SECTIONS): Keep the
	".mdebug.<abi>" and ".gcc_compiled_long<size>" sections
	generated by mips gcc.

2006-06-09  Alan Modra  <amodra@bigpond.net.au>

	* ldlang.h (lang_input_statement_type): Use bitfields for booleans.
	* ldlang.c (struct out_section_hash_entry): Rename from
	output_statement_hash_entry.  Delete output_section_statement_type
	entry.  Add statement_union_type entry.  Adjust all users.
	(output_section_statement_table): Rename from output_statement_table.
	Adjust all users.
	(output_section_statement_newfunc): Rename from
	output_statement_newfunc.  Adjust all users.
	(output_section_statement_table_init): Rename from
	output_statement_table_init.  Adjust all users.
	(output_section_statement_table_free): Rename from
	output_statement_table_free.  Adjust all users.

2006-06-08  Alan Modra  <amodra@bigpond.net.au>

	* emultempl/elf32.em (global_found): Make it a pointer.
	(stat_needed, try_needed): Adjust.
	(check_needed): Don't skip non-loaded as-needed entries.  Only
	consider entries with both filename and the_bfd non-null.
	(after_open): Try loading non-loaded as-needed libs to satisfy
	DT_NEEDED libs.

2006-06-07  Joseph S. Myers  <joseph@codesourcery.com>

	* po/Make-in (pdf, ps): New dummy targets.

2006-06-02  Joseph S. Myers  <joseph@codesourcery.com>

	* Makefile.am (TEXI2DVI): Add -I $(top_srcdir)/../libiberty.
	* Makefile.in: Regenerate.

2006-05-30  Nick Clifton  <nickc@redhat.com>

	* po/es.po: Updated Spanish translation.

2006-05-24  Nick Clifton  <nickc@redhat.com>

	* po/vi.po: Updated Vietnamese translation.

2006-05-22  Daniel Jacobowitz  <dan@codesourcery.com>

	* ld-mips-elf/textrel-1.d: Relax some patterns.

2006-05-22  Nick Clifton  <nickc@redhat.com>

	* scripttempl/elf32crx.sc (.rdata): Add .rodata.*.

2006-05-05  Alan Modra  <amodra@bigpond.net.au>

	* ld.texinfo: Document PowerPC and PowerPC64 options.
	* gen-doc.texi: Enable.
	* configdoc.texi: Regenerate.
	* ld.info: Regenerate.

2006-05-02  Daniel Jacobowitz  <dan@codesourcery.com>

	* Makefile.am (AM_MAKEINFOFLAGS): Add libiberty.
	(TEXI2POD): Use AM_MAKEINFOFLAGS.
	(configdoc.texi): Don't set top_srcdir.
	* ld.texinfo: Don't use top_srcdir.
	* aclocal.m4, Makefile.in: Regenerated.

2006-04-16  Daniel Jacobowitz  <dan@codesourcery.com>

	* po/POTFILES.in: Regenerated.

2006-04-16  Daniel Jacobowitz  <dan@codesourcery.com>

	* config.in: Regenerated.

2006-04-14  David Heine  <dlheine@tensilica.com>
	    Bob Wilson  <bob.wilson@acm.org>

	* emultempl/xtensaelf.em (elf_xtensa_before_allocation): Call new
	function to strip inconsistent linkonce sections.
	(input_section_linked_worker, input_section_linked): New.
	(is_inconsistent_linkonce_section): New.
	(xtensa_strip_inconsistent_linkonce_sections): New.

2006-04-11  Diego Pettenò  <flameeyes@gentoo.org>

	* emultempl/elf32.em: Add support for elf-hints.h on FreeBSD
	and Dragonfly targets.
	* configure.in (AC_CHECK_HEADERS): Add elf-hints.h.
	* Makefile.am (HFILES): Add elf-hints-local.h.
	* elf-hints-local.h: New file.
	* Makefile.in: Regenerate.
	* configure: Regenerate.

2006-04-07  Bernhard Fischer  <aldot@gcc.gnu.org>

	* ld.texinfo: Fix typo in documentation of --check-sections.

2006-04-07  Kaz Kojima  <kkojima@rr.iij4u.or.jp>

	* ldlang.c (load_symbols): Set as_needed and add_needed according
	to the corresponding script's fields while processing it.

2006-04-06  Carlos O'Donell  <carlos@codesourcery.com>

	* Makefile.am: Add install-html, install-html-am, and
	install-html-recursive targets.
	* Makefile.in: Regenerate.
	* configure.in: AC_SUBST datarootdir, docdir, htmldir.
	* configure: Regenerate.
	* po/Make-in: Add install-html target.

2006-04-06  H.J. Lu  <hongjiu.lu@intel.com>

	* emultempl/ia64elf.em: Set link_info.relax_pass to 2. Remove
	link_info.need_relax_finalize.

	* ldlang.c (relax_sections): New.
	(lang_process): Use. Call relax_sections link_info.relax_pass
	times.

	* ldmain.c (main): Set link_info.relax_pass to 1. Remove
	link_info.need_relax_finalize.

2006-04-05  Alan Modra  <amodra@bigpond.net.au>

	* Makefile.am (GENSCRIPTS): Pass prefix.
	* Makefile.in: Regenerate.
	* genscripts.sh: Adjust for extra parameter.
	* emultempl/elf32.em (parse_ld_so_conf): Return true iff file
	exists.
	(check_ld_so_conf): Use ${prefix}/etc/ld.so.conf if it exists.
	* NEWS: Update.

2006-04-05  Richard Sandiford  <richard@codesourcery.com>
	    Daniel Jacobowitz  <dan@codesourcery.com>

	* configure.tgt (sparc*-*-vxworks*): New stanza.
	* emulparams/elf32_sparc_vxworks.sh: New file.
	* Makefile.am (ALL_EMULATIONS): Add eelf32_sparc_vxworks.o.
	(eelf32_sparc_vxworks.c): New rule.
	* Makefile.in: Regenerate.

2006-04-04  Eric Botcazou  <ebotcazou@adacore.com>

	* ldlang.c (lang_map): Print the list of discarded input sections.
	(print_input_section): Change parameter and print zero-sized sections.
	(print_statement): Adjust call to print_input_section.

2006-04-01  Danny Smith  <dannysmith@users.sourceforge.net>

	* deffilep.y (def_image_name): If LIBRARY or NAME statement
	specifies an empty string, retain the name specified on command
	line.
	* ld.texinfo: Document above.

2006-03-31  Jakub Jelinek  <jakub@redhat.com>

	* ldmisc.c (vfinfo): Revert 2005-10-05 changes.  If
	bfd_find_nearest_line succeeded for %C or %D, but filename
	is NULL, print section+offset at the end.

2006-03-25  Bernd Schmidt  <bernd.schmidt@analog.com>

	* emulparams/elf32bfinfd.sh: New file.
	* emultempl/bfin.em: Delete.
	* emulparams/bfin.sh: Lose reference to bfin.em.
	* Makefile.am (eelf32bfin.c): Likewise.
	(eelf32bfinfd.c): New.
	* Makefile.in: Regenerate.
	* configure.tgt (bfin-*-elf, bfin-*-uclinux): Add elf32bfinfd to
	targ_extra_emuls.

2006-03-22  Richard Sandiford  <richard@codesourcery.com>
	    Daniel Jacobowitz  <dan@codesourcery.com>
	    Phil Edwards  <phil@codesourcery.com>
	    Zack Weinberg  <zack@codesourcery.com>
	    Mark Mitchell  <mark@codesourcery.com>
	    Nathan Sidwell  <nathan@codesourcery.com>

	* configure.tgt (mips*el-*-vxworks*, mips*-*-vxworks*): Use
	separate VxWorks emulations.
	* emulparams/elf32ebmipvxworks.sh: New file.
	* emulparams/elf32elmipvxworks.sh: New file.
	* Makefile.am (ALL_EMULATIONS): Add eelf32ebmipvxworks.o and
	eelf32elmipvxworks.o.
	(eelf32ebmipvxworks.c, eelf32elmipvxworks.c): New rules.
	* Makefile.in: Regenerate.

2006-03-16  Alan Modra  <amodra@bigpond.net.au>

	PR 2434
	* ldcref.c (add_cref): Adjust bfd_hash_table_init calls.
	* ldlang.c (output_statement_table_init, lang_init): Likewise.
	* ldmain.c (add_ysym, add_wrap, add_keepsyms_file): Likewise.
	(undefined_symbol): Likewise.

2006-03-07  Richard Sandiford  <richard@codesourcery.com>
	    Daniel Jacobowitz  <dan@codesourcery.com>
	    Zack Weinberg  <zack@codesourcery.com>
	    Nathan Sidwell  <nathan@codesourcery.com>
	    Paul Brook  <paul@codesourcery.com>
	    Ricardo Anguiano  <anguiano@codesourcery.com>
	    Phil Edwards  <phil@codesourcery.com>

	* emulparams/armelf_vxworks.sh: Include vxworks.sh.
	(MAXPAGESIZE): Define.
	* emulparams/vxworks.sh: Undefine EMBEDDED.
	* Makefile.am (earmelf_vxworks.c): Depend on vxworks.sh and vxworks.em.
	* Makefile.in: Regenerate.

2006-03-03  Bjoern Haase  <bjoern.m.haase@web.de>

	* scripttempl/avr.sc:  Add *(.jumptables) *(.lowtext) sections.
	Add KEEP() directives.
	Add *(.data*) *(.rodata) and *(.rodata*) and *(.bss*) to .data and
	.bss output sections.

2006-03-03  Richard Sandiford  <richard@codesourcery.com>

	* emulparams/vxworks.sh (VXWORKS_BASE_EM_FILE): New variable.
	(EXTRA_EM_FILE): Define.
	* emultempl/vxworks.em: New file.
	* ld.texinfo (--force-dynamic): Document.
	* Makefile.am (eelf32ppcvxworks.cm, eelf_i386_vxworks.c): Depend
	on vxworks.em.
	* Makefile.in: Regenerate.

2006-03-02  Richard Sandiford  <richard@codesourcery.com>

	* emulparams/elf32ppccommon.sh: New file, extracted from...
	* emulparams/elf32ppc.sh: ...here.
	* emulparams/elf32ppcvxworks.sh: Include elf32ppccommon.sh
	instead of elf32ppc.sh.
	(BSS_PLT): Remove override.
	* Makefile.am (eelf32lppc.c): Depend on elf32ppccommons.h.
	(eelf32lppcnto.c, eelf32lppcsim.c, eelf32ppcnto.c): Likewise.
	(eelf32ppc.c, eelf32ppc_fbsd.c, eelf32ppcsimm): Likewise.
	(eelf32ppclinux.c): Likewise.
	(eelf32ppcvxworks.c): Likewise.  Add missing vxworks.sh dependency.
	* Makefile.in: Regenerate.

2006-02-27  Carlos O'Donell  <carlos@codesourcery.com>

	* Makefile.am: Add html target.
	* Makefile.in: Regenerate.
	* po/Make-in: Add html target.

2006-02-17  Shrirang Khisti  <shrirangk@kpitcummins.com>
            Anil Paranjape   <anilp1@kpitcummins.com>
            Shilin Shakti    <shilins@kpitcummins.com>

	* scripttemp/elf32xc16x.sc: Default linker script for tiny model.
	* scripttemp/elf32xc16xl.sc: Default linker script for large model.
	* scripttemp/elf32xc16xs.sc: Default linker script for small model.
	* emulparams/elf32xc16x.sh: Emulation script for tiny model.
	* emulparams/elf32xc16xl.sh: Emulation script for large model.
	* emulparams/elf32xc16xs.sh: Emulation script for small model.
	* Makefile.am: Add entry to make xc16x target.
	* Makefile.in: Regenerate.
	* configure.tgt: Specify default and other emulation parameters
	for xc16x.
	* NEWS: Announce the support for the new target.

2006-02-16  Nick Hudson  <nick.hudson@dsl.pipex.com>

	* configure.tgt (mips*el-*-netbsd*, mips*-*-netbsd*):
	Use the traditional target.

2006-02-13  Joseph S. Myers  <joseph@codesourcery.com>

	* configure.tgt (arm*b-*-linux-gnueabi): Change to
	arm*b-*-linux-*eabi.
	(arm*-*-linux-gnueabi): Change to arm*-*-linux-*eabi.

2006-02-08  H.J. Lu  <hongjiu.lu@intel.com>

	PR ld/2290
	* NEWS: Updated for the Linux linker search order change.

	* emultempl/elf32.em (gld${EMULATION_NAME}_after_open): Call
	gld${EMULATION_NAME}_check_ld_so_conf before checking default
	search directories for DT_NEEDED entries.

2006-02-07  Paul Brook  <paul@codesourcery.com>

	* emultempl/armelf.em: Include elf/arm.h.
	(arm_elf_finish): Set low address bit if enty point is a Thumb
	function.

2006-02-01  Danny Smith  <dannysmith@users.sourceforge.net>

	* deffilep.y (def_image_name): If the image name does not have
	a suffix, append the default.
	* ld.texinfo: Document NAME, LIBRARY usage in PE-COFF .def files.

2006-01-31  Danny Smith  dannysmith@users.sourceforge.net

	* NEWS: Mention support for forward exports in PE-COFF dll's.
	* ld.texinfo: Expand documentation of EXPORT statements in
	PE-COFF .def files.

2006-01-31  Filip Navara  <navaraf@reactos.com>

	* deffile.h (struct def_file_export): Add field flag_forward.
	* pe-dll.c (process_def_file): Check for forward exports.
	(generate_edata): Generate forward export symbols.
	(fill_edata): Emit them.

	* pe-dll.c (process_def_file): Don't crash on malformed
	fastcall symbol names in .def file.

2006-01-30  Nick Clifton  <nickc@redhat.com>

	* po/vi.po: Updated Vietnamese translation.

2006-01-27  Yitzchak Scott-Thoennes  <sthoenna@efn.org>

	* pe-dll.c (pe_dll_generate_implib): Issue "Creating library
	file:" as informational message, not a warning.

2006-01-18  Roger Sayle  <roger@eyesopen.com>

	* emultempl/irix.em: Use lbasename instead of basename.

2006-01-16  Nick Clifton  <nickc@redhat.com>

	* po/zh_CN.po: New Chinese (simplified) translation.
	* configure.in (ALL_LINGUAS): Add "zh_CH".
	* configure: Regenerate.

2006-01-16  Bernhard Fischer  <aldot@gcc.gnu.org>

	* ld.texinfo (Options): Fix typo.

For older changes see ChangeLog-2005

Local Variables:
mode: change-log
left-margin: 8
fill-column: 74
version-control: never
End:
